# isAppendMode property

bool get isAppendMode

Returns whether this stream is in append mode.

## Returns

true if the stream appends to the end of the file, false if it overwrites.

## Example

    final output1 = FileOutputStream('file.txt');
    print(output1.isAppendMode); // false

    final output2 = FileOutputStream('file.txt', append: true);
    print(output2.isAppendMode); // true

## Implementation

    bool get isAppendMode => _append;